This page describes the API endpoint contract, which is the same regardless of the serving infrastructure. Storefront API endpoints are served by
API Platform (recommended) or the legacy Glue infrastructure; Backend API endpoints currently run on the Glue infrastructure.
This endpoint lets you pick picklist items.
Installation
For detailed information about the modules that provide the API functionality and related installation instructions, see:
Pick a picklist item
PATCH /picking-lists/{{picklist_id}}/picking-list-items
| PATH PARAMETER |
DESCRIPTION |
| {{picklist_id}} |
ID of the picklist to to pick an item of. To get it, retrieve picklists. |
Request
| HEADER KEY |
HEADER VALUE |
REQUIRED |
DESCRIPTION |
| Authorization |
string |
✓ |
Alphanumeric string that authorizes the warehouse user to send requests to protected resources. Get it by authenticating as a warehouse user. |
| STRING PARAMETER |
DESCRIPTION |
EXEMPLARY VALUES |
| include |
Adds resource relationships to the request. |
users, warehouses |
| REQUEST |
USAGE |
PATCH https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/picking-list-items |
Pick an item in the picklist with the specified ID. |
PATCH https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/picking-list-items?include=users |
Pick an item in the picklist with the specified ID. Include information about the authenticated user. |
PATCH https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/picking-list-items?include=warehouses |
Pick an item in the picklist with the specified ID. Include information about the warehouse the order is fulfilled in. |
{
"data": [
{
"id": "9ac9fd06-f491-506e-b302-0b166786d91c",
"type": "picking-list-items",
"attributes": {
"numberOfPicked": 0,
"numberOfNotPicked": 1
}
}
]
}
| ATTRIBUTE |
TYPE |
REQUIRED |
DESCRIPTION |
| id |
String |
✓ |
Unique identifier of the item to pick. To get it, retrieve picklists with picking-list-items included. |
| numberOfPicked |
Integer |
✓ |
Quantity of the item that was collected. |
| numberOfNotPicked.uuid |
Integer |
✓ |
Quantity of the item that was not found. |
Response
Pick an item in the picklist with the specified ID.
{
"data": [
{
"type": "picking-lists",
"id": "910a4d20-59a3-5c49-808e-aa7038a59313",
"attributes": {
"status": "picking-finished",
"createdAt": "2023-11-13 13:33:03.000000",
"updatedAt": "2023-11-13 13:57:20.767594"
},
"relationships": {
"picking-list-items": {
"data": [
{
"type": "picking-list-items",
"id": "9ac9fd06-f491-506e-b302-0b166786d91c"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313"
}
}
],
"included": [
{
"type": "picking-list-items",
"id": "9ac9fd06-f491-506e-b302-0b166786d91c",
"attributes": {
"quantity": 1,
"numberOfPicked": 0,
"numberOfNotPicked": 1,
"orderItem": {
"uuid": "42de8c95-69a7-56b1-b43e-ce876ca79458",
"sku": "201_11217755",
"quantity": 1,
"name": "Sony NEX-VG20EH"
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/picking-list-items/9ac9fd06-f491-506e-b302-0b166786d91c"
}
}
]
}
Pick an item in the picklist with the specified ID. Include information about the authenticated user.
{
"data": [
{
"type": "picking-lists",
"id": "910a4d20-59a3-5c49-808e-aa7038a59313",
"attributes": {
"status": "picking-finished",
"createdAt": "2023-11-13 13:33:03.000000",
"updatedAt": "2023-11-13 13:57:20.000000"
},
"relationships": {
"picking-list-items": {
"data": [
{
"type": "picking-list-items",
"id": "9ac9fd06-f491-506e-b302-0b166786d91c"
}
]
},
"users": {
"data": [
{
"type": "users",
"id": "0c1b09b7-fb51-5fdc-9ef0-1c809d7d99da"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313?include=users"
}
}
],
"included": [
{
"type": "picking-list-items",
"id": "9ac9fd06-f491-506e-b302-0b166786d91c",
"attributes": {
"quantity": 1,
"numberOfPicked": 1,
"numberOfNotPicked": 0,
"orderItem": {
"uuid": "42de8c95-69a7-56b1-b43e-ce876ca79458",
"sku": "201_11217755",
"quantity": 1,
"name": "Sony NEX-VG20EH"
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/picking-list-items/9ac9fd06-f491-506e-b302-0b166786d91c?include=users"
}
},
{
"type": "users",
"id": "0c1b09b7-fb51-5fdc-9ef0-1c809d7d99da",
"attributes": {
"username": "[email protected]",
"firstName": "Herald",
"lastName": "Hopkins"
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/users/0c1b09b7-fb51-5fdc-9ef0-1c809d7d99da?include=users"
}
}
]
}
Pick an item in the picklist with the specified ID. Include information about the warehouse the order is fulfilled in.
{
"data": [
{
"type": "picking-lists",
"id": "910a4d20-59a3-5c49-808e-aa7038a59313",
"attributes": {
"status": "picking-finished",
"createdAt": "2023-11-13 13:33:03.000000",
"updatedAt": "2023-11-13 13:57:20.000000"
},
"relationships": {
"picking-list-items": {
"data": [
{
"type": "picking-list-items",
"id": "9ac9fd06-f491-506e-b302-0b166786d91c"
}
]
},
"warehouses": {
"data": [
{
"type": "warehouses",
"id": "834b3731-02d4-5d6f-9a61-d63ae5e70517"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313?include=warehouses"
}
}
],
"included": [
{
"type": "picking-list-items",
"id": "9ac9fd06-f491-506e-b302-0b166786d91c",
"attributes": {
"quantity": 1,
"numberOfPicked": 1,
"numberOfNotPicked": 0,
"orderItem": {
"uuid": "42de8c95-69a7-56b1-b43e-ce876ca79458",
"sku": "201_11217755",
"quantity": 1,
"name": "Sony NEX-VG20EH"
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/picking-list-items/9ac9fd06-f491-506e-b302-0b166786d91c?include=warehouses"
}
},
{
"type": "warehouses",
"id": "834b3731-02d4-5d6f-9a61-d63ae5e70517",
"attributes": {
"name": "Warehouse1",
"uuid": "834b3731-02d4-5d6f-9a61-d63ae5e70517",
"isActive": true
},
"links": {
"self": "https://glue-backend.mysprykershop.com/picking-lists/910a4d20-59a3-5c49-808e-aa7038a59313/warehouses/834b3731-02d4-5d6f-9a61-d63ae5e70517?include=warehouses"
}
}
]
}
| RESOURCE |
ATTRIBUTE |
TYPE |
DESCRIPTION |
| picking-lists |
status |
String |
Status of the picking list based on your configuration. |
| picking-lists |
createdAt |
Date |
The date and time when the picklist was generated. |
| picking-lists |
updatedAt |
Date |
The latest date and time when the picklist was updated. |
| RESOURCE |
ATTRIBUTE |
TYPE |
DESCRIPTION |
| picking-list-items |
quantity |
Integer |
Quantity of the item to pick. |
| picking-list-items |
numberOfPicked |
Integer |
Quantity of the item that was picked. |
| picking-list-items |
numberOfNotPicked |
Integer |
Quantity of the item that was not found. |
| picking-list-items |
orderItem.sku |
String |
Unique identifier of the product. |
| picking-list-items |
orderItem.quantity |
Integer |
Quantity of the item that was ordered. |
| picking-list-items |
orderItem.name |
Integer |
Name of the product. |
| RESOURCE |
ATTRIBUTE |
TYPE |
DESCRIPTION |
| users |
username |
String |
Username of the user you are authenticated with. |
| users |
firstName |
String |
First name. |
| users |
lastName |
String |
Last name. |
| RESOURCE |
ATTRIBUTE |
TYPE |
DESCRIPTION |
| warehouses |
name |
Integer |
Name of the warehouse. |
| warehouses |
isActive |
Boolean |
Defines if the warehouse is active. |
Possible errors
| CODE |
DESCRIPTION |
| 5303 |
The picklist with the specified ID doesn’t exist. |
| 5304 |
The picklist item with the specified ID doesn’t exist. |
To view generic errors that originate from the Glue Application, see Reference information: GlueApplication errors.